tensorflow.python.framework.errors_impl.NotFoundError: Failed to create a directory: ; No such file or directory

tensorflow/python/framework/errors_impl notfounderror no such file or directory
tensorflow create directory
tensorflow/python/framework/errors_impl notfounderror stackoverflow
profilernotrunningerror: cannot stop profiling. no profiler is running.
tensorboard
tensorboard error invalid choice
tensorflow 1.15 tensorboard
pycharm tensorboard

Did some test to train some data and meet such an error and would like to know what's "tf_jenkins" folder used for? after checking my environment and there indeed no such directory on my PC, should i create the folder manually or install some other plugin and create the directory automatically.

2018-03-01 02:31:02.958773: W C:\tf_jenkins\workspace\rel-win\M\windows\PY\36\tensorflow\core\framework\op_kernel.cc:1198] Not found: Failed to create a directory: ; No such file or directory

Traceback (most recent call last):

File "C:\Programs\Python\Python36\lib\site-packages\tensorflow\python\client\session.py", line 1350, in _do_call
    return fn(*args)
  File "C:\Programs\Python\Python36\lib\site-packages\tensorflow\python\client\session.py", line 1329, in _run_fn
    status, run_metadata)
  File "C:\Programs\Python\Python36\lib\site-packages\tensorflow\python\framework\errors_impl.py", line 473, in __exit__
    c_api.TF_GetCode(self.status.status))
tensorflow.python.framework.errors_impl.NotFoundError: Failed to create a directory: ; No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "C:\Programs\Python\Python36\lib\site-packages\tensorflow\python\training\saver.py", line 1593, in save
    {self.saver_def.filename_tensor_name: checkpoint_file})
  File "C:\Programs\Python\Python36\lib\site-packages\tensorflow\python\client\session.py", line 895, in run
    run_metadata_ptr)
  File "C:\Programs\Python\Python36\lib\site-packages\tensorflow\python\client\session.py", line 1128, in _run
    feed_dict_tensor, options, run_metadata)
  File "C:\Programs\Python\Python36\lib\site-packages\tensorflow\python\client\session.py", line 1344, in _do_run
    options, run_metadata)
  File "C:\Programs\Python\Python36\lib\site-packages\tensorflow\python\client\session.py", line 1363, in _do_call
    raise type(e)(node_def, op, message)
tensorflow.python.framework.errors_impl.NotFoundError: Failed to create a directory: ; No such file or directory

This generally happens when code is written for linux os in mind and executed on windows as the directory structure in both os are bit different. for example if in python code the path given with linux in mind could be like this "/tmp/output" this will never work in windows it will give you error. In windows either it should be "./tmp/output" or complete path "c:/tmp/output". I always maintain os specific code for both windows and linux in mind. Check for determination of os the link enter link description here

Failed to create a directory: ./logdir\train\2017-04-16T14-17-39 , File "C:\Anaconda3\lib\site-packages\tensorflow\python\framework\errors_impl.py​", line 469, tensorflow.python.framework.errors_impl.NotFoundError: Failed to create a directory: . Failed to create a directory: Logs\20200303/27/20-013517\​train; No such file or directory [Op:CreateSummaryFileWriter]. tensorflow.python.framework.errors_impl.NotFoundError: data/kitti_label_map.pbtxt; No such file or directory 4 Tensorflow - 'Unable to get element as bytes' error


tensorflow.python.framework.errors_impl.NotFoundError , tensorflow.python.framework.errors_impl.NotFoundError: Failed to create a directory: ./tensorboard\PPO2_1; No such file or directory #33. tensorflow.python.framework.errors_impl.NotFoundError: Failed to create a directory: ./logdir\train\2017-04-16T14-17-39 Fix that worked for me in Windows10 Instead of path suggested by TF tutorial:


Changing "/" to "\\" helped me to fix that error in Windows 10.

Example of wrong path:

log_dir="logs/fit/" + datetime.datetime.now().strftime("%Y%m%d-%H%M%S")

Example of good path:

log_dir="logs\\fit\\" + datetime.datetime.now().strftime("%Y%m%d-%H%M%S")

tensorflow.python.framework.errors_impl.NotFoundError: Can not , NotFoundError: Failed to create a directory: D:/tensorflow/my_train/models/train\​export\Servo\temp-b'153466596 '; No such file or directory. tensorflow.python.framework.errors_impl.NotFoundError: Failed to create a directory: zqt_cardboard_train/train_result\export\Servo\temp-b'1574846539'; No such file or directory.


It seems the invocation to the "save" function does not have a correct path. You should indicate a correct path where the tensorflow model will be saved, like in the following example:

saver.save(session, '/tmp/model/', global_step=epoch)

In this case, the folder "/tmp/model" must exist.

[object_detection]tensorflow.python.framework.errors_impl , NotFoundError: Failed to create a directory: training/export\Servo\temp-b'​1576742954'; No such file or directory #7963. Closed. dapsjj opened  Ask questions tensorflow.python.framework.errors_impl.NotFoundError: NewRandomAccessFile failed to Create/Open: data/Obj_det.pbtxt : The system cannot find the file specified. Few things before the start Yes, protobuf was compiled.


make sure in xml file the filename extension is exist or not like train cam_image1.jpg

tensorflow.python.framework.errors_impl.NotFoundError: =; No such , NotFoundError: =; No such file or directory #3762 NotFoundError: NewRandomAccessFile failed to Create/Open: F:\Object_detection\images\pic3.​jpeg 2_generate_tfrecords.py - tensorflow.python.framework.errors_impl. Pre-trained models and datasets built by Google and the community


tensorflow/tensorflow, No such file or directory NotFoundError Traceback (most recent call last) lab\lib\site-packages\tensorflow\python\keras\callbacks.py in set_model(self, model) 208 Suddenly, I asked myself why I do not create this folder, then I create of files failing on Windows when it tries to create directories /files 


No such file or directory · Issue #157 · tensorflow/probability · GitHub, TF_GetCode(self.status.status)) tensorflow.python.framework.errors_impl.​NotFoundError: Failed to create a directory: /tmp\vae; No such file or 


tensorflow.python.framework.errors_impl.NotFoundError: ; No such , together to host and review code, manage projects, and build software together​. NotFoundError: ; No such file or directory #3954 .5/site-packages/tensorflow​/python/framework/errors_impl.py", line 516, in __exit__ c_api. From the error log, mostly likely it is failed to find your local file during copy